\name{dem2gbp}
\docType{data}
\alias{dem2gbp}
\title{DEM/GBP exchange rate log-returns}
\description{%
  The vector \code{dem2gbp} contains daily observations of the
  Deutschmark vs British Pound foreign exchange rate log-returns. This data
  set has been promoted as an informal benchmark for GARCH time-series software validation. See
  McCullough and Renfro (1999), and Brooks, Burke, and Persand (2001) for details. The nominal returns are
  expressed in percent as in Bollerslev and Ghysels (1996). The sample period is from 
  January 3, 1984, to December 31, 1991, for a total of 1974 observations.
}
\usage{data(dem2gbp)}
\format{A vector of size 1974.}
\source{Journal of Business and Economic Statistics\cr
  \url{ftp://www.amstat.org/JBES_View/96-2-APR/bollerslev_ghysels}.}
\references{%
  Bollerslev T., Ghysels, E. (1996). 
  Periodic Autoregressive Conditional Heteroscedasticity. 
  \emph{Journal of Business and Economic Statistics} \bold{14}(2), pp.139--151.

  Brooks C., Burke S. P., Persand G. (2001). 
  Benchmarks and the Accuracy of GARCH Model Estimation. 
  \emph{International Journal of Forecasting} \bold{17}(1), pp.45--57.

  McCullough B. D., Renfro C. G. (1999).
  Benchmarks and Software Standards: A Case Study of GARCH Procedures. 
  \emph{Journal of Economic and Social Measurement} \bold{25}(2), pp.59--71.
}
\keyword{datasets}




